Index Item
Elementary » Index

## Functions

void | elm_index_item_selected_set (Elm_Index_Item *obj, Eina_Bool selected)
| Set the selected state of an item.
void | elm_index_item_priority_set (Elm_Index_Item *obj, int priority)
| Sets the priority of an item.
const char * | elm_index_item_letter_get (const Elm_Index_Item *obj)
| Get the letter (string) set on a given index widget item.

## Detailed Description

## Function Documentation

## elm_index_item_selected_set()

void elm_index_item_selected_set | ( | Elm_Index_Item * | obj,
|  | Eina_Bool | selected )

Set the selected state of an item.

This sets the selected state of the given item `it`. `true` for selected, `false` for not selected.

If a new item is selected the previously selected will be unselected. Previously selected item can be get with function elm_index_selected_item_get().

Selected items will be highlighted.

Parameters

  [in] | obj | The object.
  [in] | selected | `true` if selected, `false` otherwise

## elm_index_item_priority_set()

void elm_index_item_priority_set | ( | Elm_Index_Item * | obj,
|  | int | priority )

Sets the priority of an item.

The priority is -1 by default, which means that the item doesn't belong to a group. The value of the priority starts from 0.

In elm_index_level_go, the items are sorted in ascending order according to priority. Items of the same priority make a group and the primary group is shown by default.

Parameters

  [in] | obj | The object.
  [in] | priority | The priority

## elm_index_item_letter_get()

const char * elm_index_item_letter_get | ( | const Elm_Index_Item * | obj | ) |

Get the letter (string) set on a given index widget item.

Parameters

  [in] | obj | The object.

Returns
  The letter string set on `item`